Z Image Turbo
curl --request POST \
--url https://api.novita.ai/v3/async/z-image-turbo \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"seed": 123,
"size": "<string>",
"prompt": "<string>",
"enable_base64_output": true
}
'import requests
url = "https://api.novita.ai/v3/async/z-image-turbo"
payload = {
"seed": 123,
"size": "<string>",
"prompt": "<string>",
"enable_base64_output": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({seed: 123, size: '<string>', prompt: '<string>', enable_base64_output: true})
};
fetch('https://api.novita.ai/v3/async/z-image-turbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Image Generator
Z Image Turbo
POST
/
v3
/
async
/
z-image-turbo
Z Image Turbo
Z-Image Turbo is a high-speed image generation model that supports rapid generation of high-quality images based on text prompts.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.
Request Headers
Supports:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Random seed for generation. -1 means using a random seed. Range: -1 to 2147483647Value range: [-1, 2147483647]
Pixel dimensions of the generated image (width*height). Each dimension ranges from 256 to 1536 pixels
Positive prompt for generation
If enabled, the output will be encoded as a BASE64 string instead of a URL. This property is only available via API
Response
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on December 19, 2025
Was this page helpful?
⌘I